        ORG     0000
flag    RMB     1       ;This keeps track of any swaps made.
COUNT   RMB     1
*Sort data goes here.

TEXTOUT EQU $1030        ;address of ascii output location
TEXTIN  EQU $102f
INTMASK equ $1022        ;address of interrupt mask
INTFLAG equ $1023
INPVEC  equ $ffec        ;address of interrupt handler

        ORG  $0100    ;Start all code here

        lds  #$05ff

        LDD #handler  ;setup the input handler
        STD INPVEC    ;

        CLI              ;enable interrupts
        LDAA #$02        ;enable hardware interrupt 1
        STAA INTMASK     ;...

loop    wai
        bra loop

        org  $01ff       ;input interrupt handler
handler LDAA TEXTIN
        STAA TEXTOUT
        ldaa #$02
        staa INTFLAG
        rti

